From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: games-board/rmahjong/
Date: Sun, 13 Feb 2022 20:18:36 +0000 (UTC) [thread overview]
Message-ID: <1644783513.5cb6039ba2075a60a8c88968678f75b9b1c58c18.arthurzam@gentoo> (raw)
Message-ID: <20220213201836.8uOSTz-nFSXmcZSdJetX71NOvkRq7bIs_YEvIDT5e3Q@z> (raw)
commit: 5cb6039ba2075a60a8c88968678f75b9b1c58c18
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 13 20:18:15 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 13 20:18:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5cb6039b
games-board/rmahjong: fix python usedep variable, small cleanup
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
games-board/rmahjong/rmahjong-0.4_p20201106.ebuild | 15 ++++++++++-----
1 file changed, 10 insertions(+), 5 deletions(-)
diff --git a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
index 28a3c2288..266c5a722 100644
--- a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
+++ b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
@@ -34,8 +34,8 @@ RDEPEND="
${PYTHON_DEPS}
dev-python/pygame[X,opengl]
$(python_gen_cond_dep '
- dev-python/pygame[${PYTHON_MULTI_USEDEP}]
- dev-python/pyopengl[${PYTHON_MULTI_USEDEP}]
+ dev-python/pygame[${PYTHON_USEDEP}]
+ dev-python/pyopengl[${PYTHON_USEDEP}]
')
"
@@ -47,7 +47,10 @@ src_prepare(){
sed -i "/logging.basicConfig/d" "${S}/server/server.py" || die
sed -i "/logging.info/d" "${S}/server/server.py" || die
- echo $'#!/bin/sh\ncd '"$(python_get_sitedir)/${PN}"' && ./start.sh' > "${S}/rmahjong"
+ cat > "${S}/rmahjong" <<- EOF || die
+ #!/bin/sh
+ cd "$(python_get_sitedir)/${PN}" && ./start.sh
+ EOF
# pass compiler and CFLAGS to 'Bot' makefile
sed -i -e 's:gcc:'"$(tc-getCC)"':g' bot/makefile \
@@ -57,11 +60,13 @@ src_prepare(){
src_compile() {
# Build bots
- cd "${S}/bot/" && emake
+ cd "${S}/bot/" || die
+ emake
}
src_test() {
- cd "${S}/server/" && python3 test.py -v
+ cd "${S}/server/" || die
+ "${EPYTHON}" test.py -v || die
}
src_install() {
next reply other threads:[~2022-02-13 20:18 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-13 20:24 Arthur Zamarin [this message]
2022-02-13 20:18 ` [gentoo-commits] repo/proj/guru:dev commit in: games-board/rmahjong/ Arthur Zamarin
-- strict thread matches above, loose matches on Subject: below --
2024-04-18 21:26 [gentoo-commits] repo/proj/guru:master " Julien Roy
2021-04-25 20:28 Andrew Ammerlaan
2021-04-24 23:19 Theo Anderson
2021-04-24 23:19 Theo Anderson
2020-11-10 14:22 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1644783513.5cb6039ba2075a60a8c88968678f75b9b1c58c18.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox